Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Class ProviderDecisionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.security.spi.SecuritySpiException
                              |
                              +--weblogic.security.spi.ProviderDecisionException

public class ProviderDecisionException
extends SecuritySpiException

The `ProviderDecisionException` exception is thrown by an Access Decision if it encounters a problem during execution.

For example, if an Access Decision decides whether or not to grant access based on information in a database and the database is unreachable, this exception would indicate what went wrong.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ProviderDecisionException()` Constructs a `ProviderDecisionException` with no arguments.
`ProviderDecisionException(java.lang.String msg)` Constructs a `ProviderDecisionException` with the specified detail message.
`ProviderDecisionException(java.lang.String msg, java.lang.Throwable nested)` Constructs a `ProviderDecisionException` with a detail message and a nested exception.
`ProviderDecisionException(java.lang.Throwable nested)` Constructs a `ProviderDecisionException` with a nested exception.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderDecisionException

    public ProviderDecisionException()

  Constructs a `ProviderDecisionException` with no arguments.

### ProviderDecisionException

    public ProviderDecisionException(java.lang.String msg)

  Constructs a `ProviderDecisionException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

### ProviderDecisionException

    public ProviderDecisionException(java.lang.Throwable nested)

  Constructs a `ProviderDecisionException` with a nested exception.

  Parameters:
    `nested` - a `Throwable` object to wrapper as part of this exception.

### ProviderDecisionException

    public ProviderDecisionException(java.lang.String msg,
                                     java.lang.Throwable nested)

  Constructs a `ProviderDecisionException` with a detail message and a nested exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

    `nested` - a `Throwable` object to wrapper as part of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference